Loading...
Searching...
No Matches
rpmte.h File Reference
(un)Installing packages: » Transaction Set API. | (un)Installing packages: » Transaction Element API.
`#include <rpm/rpmtypes.h>`
`#include <rpm/argv.h>`
Include dependency graph for rpmte.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Typedefs

typedef enum rpmElementType_e | rpmElementType
typedef rpmFlags | rpmElementTypes

## Enumerations

enum | rpmElementType_e { TR_ADDED = (1 << 0) , TR_REMOVED = (1 << 1) , TR_RPMDB = (1 << 2) , TR_RESTORED = (1 << 3) }

## Functions

Header | rpmteHeader (rpmte te)
Header | rpmteSetHeader (rpmte te, Header h)
rpmElementType | rpmteType (rpmte te)
const char * | rpmteN (rpmte te)
const char * | rpmteE (rpmte te)
const char * | rpmteV (rpmte te)
const char * | rpmteR (rpmte te)
const char * | rpmteA (rpmte te)
const char * | rpmteO (rpmte te)
int | rpmteIsSource (rpmte te)
rpm_color_t | rpmteColor (rpmte te)
rpm_color_t | rpmteSetColor (rpmte te, rpm_color_t color)
unsigned int | rpmteDBInstance (rpmte te)
void | rpmteSetDBInstance (rpmte te, unsigned int instance)
rpm_loff_t | rpmtePkgFileSize (rpmte te)
rpmte | rpmteParent (rpmte te)
rpmte | rpmteSetParent (rpmte te, rpmte pte)
rpmps | rpmteProblems (rpmte te)
void | rpmteCleanProblems (rpmte te)
void | rpmteCleanDS (rpmte te)
void | rpmteSetDependsOn (rpmte te, rpmte depends)
rpmte | rpmteDependsOn (rpmte te)
int | rpmteDBOffset (rpmte te)
const char * | rpmteEVR (rpmte te)
const char * | rpmteNEVR (rpmte te)
const char * | rpmteNEVRA (rpmte te)
fnpyKey | rpmteKey (rpmte te)
void | rpmteSetUserdata (rpmte te, void *data)
void * | rpmteUserdata (rpmte te)
int | rpmteFailed (rpmte te)
rpmds | rpmteDS (rpmte te, rpmTagVal tag)
rpmfiles | rpmteFiles (rpmte te)
int | rpmteVerified (rpmte te)

## Detailed Description

Structures used for an "rpmte" transaction element.